Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.connector
Class RecordTranslationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  com.bea.connector.RecordTranslationException

All Implemented Interfaces:
  Serializable

public class RecordTranslationException
extends javax.resource.ResourceException

This class extends a ResourceException and encapsulates the input record that caused the exception; of course a ResourceException already allows for a linked exception

See Also:
  Serialized Form

Constructor Summary
`RecordTranslationException(String reason)`
`RecordTranslationException(String reason, javax.resource.cci.Record badRecord)`

Method Summary
`String` | `getMessage()`
`javax.resource.cci.Record` | `getRecord()` get the Record that caused the exception
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordTranslationException

    public RecordTranslationException(String reason)

### RecordTranslationException

    public RecordTranslationException(String reason,
                                      javax.resource.cci.Record badRecord)

Method Detail

### getMessage

    public String getMessage()

### getRecord

    public javax.resource.cci.Record getRecord()

  get the Record that caused the exception

  Returns:
    the record causing the exception

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(PrintStream ps)

### printStackTrace

    public void printStackTrace(PrintWriter pw)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD